Bug 154370 - Nautilus ALT-drag "link" menu option should give the option of relative link creation.
Nautilus ALT-drag "link" menu option should give the option of relative link ...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-11 03:39 EDT by Stephen Warren
Modified: 2013-05-08 19:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-04-11 03:39:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When ALT-dragging files in nautilus, an option on the menu is "link". This creates a symlink at the drag target to the drag source. These symlinks are always absolute. Relative paths often make much more sense, e.g. so that they are portable if the filesystem is rsync'd to another machine at a different location in the filesystem. The user should be given the option to create relative links.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
0. Assume this tree structure:
/mnt/severn_photos/
  all_a70/2004/2004_01_01_something
  00_by_data/2004
1. Open a nautilus window.
2. Navigate so /mnt/severn_photos/all_a70/2004 is visible in the right-pane
3. Click and drag directory 2004_01_01_something in the right pane using the left mouse button, keep it held down
4. Press and hold ALT
5. Move the mouse over /mnt/severn_photos/00_by_data/2004 in the left-hand tree view. Release the button
6. A popup menu will appear. One of the options in "Link". Click this option.

Actual Results:  An absolute symlink will be created -

filename /mnt/severn_photos/00_by_data/2004/2004_01_01_something
target   /mnt/severn_photos/all_a70/2004/2004_01_01_something

Note that the link target is always an absolute filename.

Expected Results:  Absolute symlinks don't always make sense. In my case, I'd like this:

filename /mnt/severn_photos/00_by_data/2004/2004_01_01_something
target   ../../all_a70/2004/2004_01_01_something

There should be a "Link Absolute" and "Link Relative" option in the menu that appears at step 6 in "Steps to Reproduce".

Alternatively, there should be a preferences option to select whether to create absolute or relative symlinks.

A new menu option would be preferable, since that would allow easy selection of the link style every time a drag operation was performed. Otherwise, any time you wanted something different, you'd have to go edit a preference, which would be painful.

Also, an "convert absolute link to relative" (and vice-versa) option in a symlink's right-click menu would be useful.


Additional info:
Comment 1 Matthew Miller 2006-07-10 16:22:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Stephen Warren 2007-11-11 17:26:12 EST
Re-opening. This bug is still present in F8 (nautilus-2.20.0-6.fc8)

[This is why bugs in old releases shouldn't be closed out just because the
release is old - doing nothing and ignoring bugs doesn't make them magically go
away or get fixed]

Comment 3 Bug Zapper 2008-11-26 01:49:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Stephen Warren 2008-11-27 01:25:58 EST
Bug still present; moving to rawhide.

[This is why bugs in old releases shouldn't be closed out just because the
release is old - doing nothing and ignoring bugs doesn't make them magically go
away or get fixed]
Comment 5 Matthias Clasen 2009-06-11 14:06:02 EDT
> doing nothing and ignoring bugs doesn't make them magically go
> away or get fixed

Keeping feature requests downstream where there is very little interest in handling them is not a very successful strategy either, as you are discovering...
I recommend moving this upstream to bugzilla.gnome.org.
Comment 6 Fedora Admin XMLRPC Client 2013-05-08 19:53:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.